<template>
  <v-row>
    <v-col>
      <v-list>
        <payment-method-card
          v-for="paymentMethod in wallet"
          :key="paymentMethod._id"
          :payment-method="paymentMethod"
          deletable
        ></payment-method-card>
      </v-list>

      <v-btn color="primary" nuxt to="/account/wallet/add">Add</v-btn>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    wallet: {
      type: Array,
      required: true,
    },
  },
})
</script>
